local L = AceLibrary("AceLocale-2.2"):new("FuBar_TrackerFu")

L:RegisterTranslations("enUS", function() return {
	["Show Minimap Tracking Icon"] = true,
	["Show the Blizzard tracking menu minimap button"] = true,
	["Enforce tracking choice"] = true,
	["Automatically set the tracking back to your last choice if unset by external forces (like arenas, logout)"] = true,
	
	TRACKER_TRADESKILL_HEADER = "Trade Skills",
	TRACKER_ENEMY_HEADER      = "Track Enemies",
	TRACKER_NPC_HEADER        = "Find NPCs",
	
	TRACKER_SPELL_FIND_FISH     = "Find Fish",
	TRACKER_SPELL_FIND_HERBS    = "Find Herbs",
	TRACKER_SPELL_FIND_MINERALS = "Find Minerals",
	TRACKER_SPELL_FIND_TREASURE = "Find Treasure",
	
} end )

if GetLocale() == "deDE" then L:RegisterTranslations("deDE", function() return {
	["Show Minimap Tracking Icon"] = "Minimap-Icon anzeigen",
	["Show the Blizzard tracking menu minimap button"] = "Zeigt den Minimap-Knopf für die Aufspür- und Finden-Fähigkeiten an.",
	["Enforce tracking choice"] = "Auswahl schützen",
	["Automatically set the tracking back to your last choice if unset by external forces (like arenas, logout)"] = "Stellt automatisch die zuletzt gewählte Fähigkeit wieder her, sollte diese verloren gehen (z.B. durch Betreten einer Arena oder Ausloggen).",

	TRACKER_TRADESKILL_HEADER = "Berufe",
	TRACKER_ENEMY_HEADER      = "Feinde aufspüren",
	TRACKER_NPC_HEADER        = "NSCs finden",

	TRACKER_SPELL_FIND_FISH     = "Fischsuche",
	TRACKER_SPELL_FIND_HERBS    = "Kräutersuche",
	TRACKER_SPELL_FIND_MINERALS = "Mineraliensuche",
	TRACKER_SPELL_FIND_TREASURE = "Schatzsucher",

} end ) end

if GetLocale() == "frFR" then L:RegisterTranslations("frFR", function() return {
    ["Show Minimap Tracking Icon"] = "Afficher l'icône de la minicarte.",
    ["Show the Blizzard tracking menu minimap button"] = "Affiche le boutton du menu de suivi Blizzard sur la minimap",
    ["Enforce tracking choice"] = "Forcer le choix de Suivi",
    ["Automatically set the tracking back to your last choice if unset by external forces (like arenas, logout)"] = "Mémoriser le dernier choix de suivi (en cas de modification par deconnexion ou match d'arènes).",

    TRACKER_TRADESKILL_HEADER = "Compétences",
    TRACKER_ENEMY_HEADER      = "Suivre ennemis",
    TRACKER_NPC_HEADER        = "Trouver NPCs",

    TRACKER_SPELL_FIND_FISH     = "Découverte de poisson",
    TRACKER_SPELL_FIND_HERBS    = "Découverte d'herbes",
    TRACKER_SPELL_FIND_MINERALS = "Découverte de gisements",
    TRACKER_SPELL_FIND_TREASURE = "Découverte de trésors",

} end ) end

if GetLocale() == "zhTW" then L:RegisterTranslations("zhTW", function() return {
    ["Show Minimap Tracking Icon"] = "顯示小地圖追蹤圖示。",
    ["Show the Blizzard tracking menu minimap button"] = "顯示Blizzard追蹤選單小地圖按鈕",
    ["Enforce tracking choice"] = "執行追蹤選擇",
    ["Automatically set the tracking back to your last choice if unset by external forces (like arenas, logout)"] = "自動設置追蹤回你最後的選擇，如果未設置由外部因素(如競技場，登出)。",

    TRACKER_TRADESKILL_HEADER = "交易技能",
    TRACKER_ENEMY_HEADER      = "追蹤敵人",
    TRACKER_NPC_HEADER        = "尋找NPC",

    TRACKER_SPELL_FIND_FISH     = "尋找魚類",
    TRACKER_SPELL_FIND_HERBS    = "尋找草藥",
    TRACKER_SPELL_FIND_MINERALS = "尋找礦物",
    TRACKER_SPELL_FIND_TREASURE = "尋找財寶",

} end ) end

if GetLocale() == "zhCN" then L:RegisterTranslations("zhCN", function() return {
    ["Show Minimap Tracking Icon"] = "显示小地图追踪图标。",
    ["Show the Blizzard tracking menu minimap button"] = "显示Blizzard追踪选单小地图按钮",
    ["Enforce tracking choice"] = "执行追踪选择",
    ["Automatically set the tracking back to your last choice if unset by external forces (like arenas, logout)"] = "自动设置追踪回你最后的选择，如果未设置由外部因素(如竞技场，登出)。",

    TRACKER_TRADESKILL_HEADER = "交易技能",
    TRACKER_ENEMY_HEADER      = "追踪敌人",
    TRACKER_NPC_HEADER        = "寻找NPC",

    TRACKER_SPELL_FIND_FISH     = "寻找渔点",
    TRACKER_SPELL_FIND_HERBS    = "寻找草药",
    TRACKER_SPELL_FIND_MINERALS = "寻找矿物",
    TRACKER_SPELL_FIND_TREASURE = "寻找财宝",

} end ) end